ranges::v3::concepts::OutputIterator Struct Reference
Inheritance diagram for ranges::v3::concepts::OutputIterator:

## Public Member Functions

template<typename Out , typename T >
auto | requires_ (Out o, T &&t) -> decltype(concepts::valid_expr(((void)(*o++=(T &&) t), 42)))
Public Member Functions inherited from ranges::v3::concepts::refines< Iterator(_1), Writable >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< Iterator(_1), Writable >
using | base_concepts_t = meta::list< Concepts... >